function searchthis()
{
yon=yon;

if (searching==1)
  {
	var I=0;
	input= prompt("Enter Search Word","")
	searchlist= new Array();
	searchbanner=new Array();

	var lengthtest=input.length;
	
	if (lengthtest==1)
		{
			for(I=0;I < titles.length; I++)
				{
		 			titlelow= titles[I].toLowerCase();
		  			inputlow= input.toLowerCase();
			
					if (titlelow.substring(0,3)=="the")
				 		{
					  		if( titlelow.substring(4,5)==input.substring(0,1))
								{
							  		searchlist[searchlist.length] = xon[I]
								}
				 		}
					else
						{
							if( titlelow.substring(0,1)==input.substring(0,1) )
			 					{
			 			  			searchlist[searchlist.length] = xon[I]
									
			 					}
						}
				}
                        searchnarrow();
		}

	else
		{
    
			for(I=0;I < titles.length; I++)
				{
		  			titlelow= titles[I].toLowerCase();
		  			inputlow= input.toLowerCase();

		  			if( titlelow.match(inputlow) )
			 			{
			  	  			searchlist[searchlist.length] = xon[I]
							
			 			}
		 		}

		}
		 yon=0;
		searching=0;

		moviechange(yon)
  
	}

}


function searchnarrow()
{
  var I=0;
    for(I=0;I < searchlist.length; I++)
      {
            narrowlow= searchlist[I].toLowerCase();
		  	
            if( narrowlow.substring(0,2)== searchlist[I] + "a")
			 			{
			  	  			searchna[searcha.length] = searchlist[I]
						}
			else if (narrowlow.substring(0,2) == searchlist[I] + "b")
			{
				searchb[searchbnarrow.length=searchlist[I];
			}
			else if (narrowlow.substring(0,2) == searchlist[I]+"c")
			{
				searchc[searchc.length=searchlist[I];
			}
